### GET /manufacturing/devices/{ids}/ Source: https://connhex.com/api/manufacturing/latest/api.json Get device. Required Permission: - Resource: ```manufacturing:devices:{id}``` - Action: ```manufacturing:devices:get``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - response - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **pcbPartNumber** (string) - **deviceType** (string) - **fwVersion** (string) - **partNumber** (string) - **serialNumber** (string) (required) - **packageId** (string) - **palletId** (string) - **productionOrder** (string) - **workOrder** (string) - **connhexId** (string (uuid)) (required) - **createdAt** (string (date)) - **updatedAt** (string (date)) - **deletedAt** (string (date)) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis./manufacturing/devices/{ids}/" ``` ``` -------------------------------- ### GET /manufacturing/devices/ Source: https://connhex.com/api/manufacturing/latest/api.json List manufactured devices. Required Permission: - Resource: ```manufacturnig:devices``` - Action: ```manufacturing:devices:list``` ```markdown ### Parameters - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) - **undefined** (string, query, optional) ### Responses #### 200 - list - **data** (array (Device)) (required) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **pcbPartNumber** (string) - **deviceType** (string) - **fwVersion** (string) - **partNumber** (string) - **serialNumber** (string) (required) - **packageId** (string) - **palletId** (string) - **productionOrder** (string) - **workOrder** (string) - **connhexId** (string (uuid)) (required) - **createdAt** (string (date)) - **updatedAt** (string (date)) - **deletedAt** (string (date)) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - not found **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X GET "https://apis./manufacturing/devices/" ``` ``` -------------------------------- ### POST /manufacturing/devices/ Source: https://connhex.com/api/manufacturing/latest/api.json Create devices. Required Permission: - Resource: ```manufacturing:devices``` - Action: ```manufacturing:devices:create``` ```markdown ### Request Body **Content-Type:** application/vnd.api+json ### Responses #### 201 - [Created](https://jsonapi.org/format/#crud-creating-responses-201). Assigned `id` and/or any other changes are in this response. - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **pcbPartNumber** (string) - **deviceType** (string) - **fwVersion** (string) - **partNumber** (string) - **serialNumber** (string) (required) - **packageId** (string) - **palletId** (string) - **productionOrder** (string) - **workOrder** (string) - **connhexId** (string (uuid)) (required) - **createdAt** (string (date)) - **updatedAt** (string (date)) - **deletedAt** (string (date)) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 202 - Accepted for [asynchronous processing](https://jsonapi.org/recommendations/#asynchronous-processing) **datum** #### 204 - [Created](https://jsonapi.org/format/#crud-creating-responses-204) with the supplied `id`. No other changes from what was POSTed. Empty response body #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 403 - [Forbidden](https://jsonapi.org/format/#crud-creating-responses-403) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - [Related resource does not exist](https://jsonapi.org/format/#crud-creating-responses-404) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 409 - [Conflict](https://jsonapi.org/format/#crud-creating-responses-409) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X POST "https://apis./manufacturing/devices/" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### Security: $ref Source: https://connhex.com/api/manufacturing/latest/api.json Security scheme: $ref ```markdown ## Security: $ref **Description:** Security scheme: $ref **Type:** unknown ``` -------------------------------- ### PATCH /manufacturing/devices/{ids}/ Source: https://connhex.com/api/manufacturing/latest/api.json Update device. Required Permission: - Resource: ```manufacturing:devices:{id}``` - Action: ```manufacturing:devices:update``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) ### Request Body **Content-Type:** application/vnd.api+json ### Responses #### 200 - partial_update/devices/{id}/ - **data** (object) (required) - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **pcbPartNumber** (string) - **deviceType** (string) - **fwVersion** (string) - **partNumber** (string) - **serialNumber** (string) (required) - **packageId** (string) - **palletId** (string) - **productionOrder** (string) - **workOrder** (string) - **connhexId** (string (uuid)) (required) - **createdAt** (string (date)) - **updatedAt** (string (date)) - **deletedAt** (string (date)) - **included** (array (resource)) Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) - **links** (object) - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 403 - [Forbidden](https://jsonapi.org/format/#crud-updating-responses-403) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - [Related resource does not exist](https://jsonapi.org/format/#crud-updating-responses-404) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 409 - [Conflict](https://jsonapi.org/format/#crud-updating-responses-409) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X PATCH "https://apis./manufacturing/devices/{ids}/" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### API Overview: connhex-manufacturing Source: https://connhex.com/api/manufacturing/latest/api.json The following is the default **ConnhexJSON Schema** provided out ouf the box for Connhex Manufacturing: ### Device ```json { "$id": "https://connhex.com/device.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "deviceType": { "type": "string", "title": "Device Type" }, "connhexId": { "type": "string", "title": "Connhex ID" }, "pcbPartNumber": { "type": "string", "title": "Pcb Part Number" }, "fwVersion": { "type": "string", "title": "FW Version" }, "partNumber": { "type": "string", "title": "Part Number" }, "serialNumber": { "type": "string", "title": "Serial Number" }, "workOrder": { "type": "string", "title": "Work Order" }, "productionOrder": { "type": "string", "title": "production_order" }, "palletId": { "type": "string", "title": "Pallet ID" }, "packageId": { "type": "string", "title": "Package ID" }, } } ``` ```yaml # connhex-manufacturing # Version: 1.4.0 The following is the default **ConnhexJSON Schema** provided out ouf the box for Connhex Manufacturing: ### Device ```json { "$id": "https://connhex.com/device.schema.json", "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "deviceType": { "type": "string", "title": "Device Type" }, "connhexId": { "type": "string", "title": "Connhex ID" }, "pcbPartNumber": { "type": "string", "title": "Pcb Part Number" }, "fwVersion": { "type": "string", "title": "FW Version" }, "partNumber": { "type": "string", "title": "Part Number" }, "serialNumber": { "type": "string", "title": "Serial Number" }, "workOrder": { "type": "string", "title": "Work Order" }, "productionOrder": { "type": "string", "title": "production_order" }, "palletId": { "type": "string", "title": "Pallet ID" }, "packageId": { "type": "string", "title": "Package ID" }, } } ``` # Base URL: https://apis. ``` -------------------------------- ### DELETE /manufacturing/devices/{ids}/ Source: https://connhex.com/api/manufacturing/latest/api.json Delete device. Required Permission: - Resource: ```manufacturing:devices:{id}``` - Action: ```manufacturing:devices:delete``` ```markdown ### Parameters - **ids** (string, path, required): Comma-separated globally unique ids (UUID4) ### Responses #### 204 - [Deleted](https://jsonapi.org/format/#crud-deleting-responses-204) Empty response body #### 401 - not authorized **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 403 - [Forbidden](https://jsonapi.org/format/#crud-deleting-responses-403) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 404 - [Related resource does not exist](https://jsonapi.org/format/#crud-deleting-responses-404) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) #### 409 - [Conflict](https://jsonapi.org/format/#crud-deleting-responses-409) **failure** - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ### Example Usage ```bash curl -X DELETE "https://apis./manufacturing/devices/{ids}/" ``` ``` -------------------------------- ### Schema: meta Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for meta ```markdown ## Schema: meta Schema definition for meta **Type:** object ``` -------------------------------- ### Schema: Device Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for Device ```markdown ## Schema: Device Schema definition for Device **Type:** object - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **links** (object) - **self** (string (uri-reference)): a string containing the link's URL - **attributes** (object) - **pcbPartNumber** (string) - **deviceType** (string) - **fwVersion** (string) - **partNumber** (string) - **serialNumber** (string) (required) - **packageId** (string) - **palletId** (string) - **productionOrder** (string) - **workOrder** (string) - **connhexId** (string (uuid)) (required) - **createdAt** (string (date)) - **updatedAt** (string (date)) - **deletedAt** (string (date)) ``` -------------------------------- ### Schema: relationshipToOne Source: https://connhex.com/api/manufacturing/latest/api.json reference to other resource in a to-one relationship ```markdown ## Schema: relationshipToOne reference to other resource in a to-one relationship **Type:** object ``` -------------------------------- ### Schema: reltoone Source: https://connhex.com/api/manufacturing/latest/api.json a singular 'to-one' relationship ```markdown ## Schema: reltoone a singular 'to-one' relationship **Type:** object - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (object) - **meta** (object) ``` -------------------------------- ### Schema: jsonapi Source: https://connhex.com/api/manufacturing/latest/api.json The server's implementation ```markdown ## Schema: jsonapi The server's implementation **Type:** object - **version** (string) - **meta** (object) ``` -------------------------------- ### Schema: datum Source: https://connhex.com/api/manufacturing/latest/api.json singular item ```markdown ## Schema: datum singular item **Type:** object ``` -------------------------------- ### Schema: pagination Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for pagination ```markdown ## Schema: pagination Schema definition for pagination **Type:** object - **first** (string (uri-reference)) - **last** (string (uri-reference)) - **prev** (string (uri-reference)) - **next** (string (uri-reference)) ``` -------------------------------- ### Schema: resource Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for resource ```markdown ## Schema: resource Schema definition for resource **Type:** object - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **attributes** (object) - **relationships** (object) - **links** (object) - **meta** (object) ``` -------------------------------- ### Schema: relationshipLinks Source: https://connhex.com/api/manufacturing/latest/api.json optional references to other resource objects ```markdown ## Schema: relationshipLinks optional references to other resource objects **Type:** object - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL ``` -------------------------------- ### Schema: link Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for link ```markdown ## Schema: link Schema definition for link **Type:** object ``` -------------------------------- ### Schema: links Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for links ```markdown ## Schema: links Schema definition for links **Type:** object ``` -------------------------------- ### Schema: onlymeta Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for onlymeta ```markdown ## Schema: onlymeta Schema definition for onlymeta **Type:** object ``` -------------------------------- ### Schema: ResourceIdentifierObject Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for ResourceIdentifierObject ```markdown ## Schema: ResourceIdentifierObject Schema definition for ResourceIdentifierObject **Type:** object ``` -------------------------------- ### Schema: linkage Source: https://connhex.com/api/manufacturing/latest/api.json the 'type' and 'id' ```markdown ## Schema: linkage the 'type' and 'id' **Type:** object - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **meta** (object) ``` -------------------------------- ### Schema: reltomany Source: https://connhex.com/api/manufacturing/latest/api.json a multiple 'to-many' relationship ```markdown ## Schema: reltomany a multiple 'to-many' relationship **Type:** object - **links** (object): optional references to other resource objects - **self** (string (uri-reference)): a string containing the link's URL - **related** (string (uri-reference)): a string containing the link's URL - **data** (array (linkage)): An array of objects each containing the 'type' and 'id' for to-many relationships Array items: - **type** (string) (required): The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. - **id** (string) (required): Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. - **meta** (object) - **meta** (object) ``` -------------------------------- ### Schema: type Source: https://connhex.com/api/manufacturing/latest/api.json The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. ```markdown ## Schema: type The [type](https://jsonapi.org/format/#document-resource-object-identification) member is used to describe resource objects that share common attributes and relationships. **Type:** string ``` -------------------------------- ### Schema: id Source: https://connhex.com/api/manufacturing/latest/api.json Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. ```markdown ## Schema: id Each resource object’s type and id pair MUST [identify](https://jsonapi.org/format/#document-resource-object-identification) a single, unique resource. **Type:** string ``` -------------------------------- ### Schema: error Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for error ```markdown ## Schema: error Schema definition for error **Type:** object - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) ``` -------------------------------- ### Schema: failure Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for failure ```markdown ## Schema: failure Schema definition for failure **Type:** object - **errors** (array (error)) (required) Array items: - **id** (string) - **status** (string) - **links** (object) - **code** (string) - **title** (string) - **detail** (string) - **source** (object) - **pointer** (string): A [JSON Pointer](https://tools.ietf.org/html/rfc6901) to the associated entity in the request document [e.g. `/data` for a primary data object, or `/data/attributes/title` for a specific attribute. - **parameter** (string): A string indicating which query parameter caused the error. - **meta** (object) - **meta** (object) - **jsonapi** (object): The server's implementation - **version** (string) - **meta** (object) - **links** (object) ``` -------------------------------- ### Schema: pageref Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for pageref ```markdown ## Schema: pageref Schema definition for pageref **Type:** object ``` -------------------------------- ### Schema: nulltype Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for nulltype ```markdown ## Schema: nulltype Schema definition for nulltype **Type:** object ``` -------------------------------- ### Schema: relationshipToMany Source: https://connhex.com/api/manufacturing/latest/api.json An array of objects each containing the 'type' and 'id' for to-many relationships ```markdown ## Schema: relationshipToMany An array of objects each containing the 'type' and 'id' for to-many relationships **Type:** array - Array of linkage ``` -------------------------------- ### Schema: errors Source: https://connhex.com/api/manufacturing/latest/api.json Schema definition for errors ```markdown ## Schema: errors Schema definition for errors **Type:** array - Array of error ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.